<!-- Bootstrap CSS fixes for IE6 -->
<!--[if lt IE 7]><link rel="stylesheet" href="http://blueimp.github.com/cdn/css/bootstrap-ie6.min.css"><![endif]-->
<!-- Bootstrap Image Gallery styles -->
<link rel="stylesheet" href="<?php echo assets_url('/fileupload/css/bootstrap-image-gallery.min.css'); ?>">
<!-- CSS to style the file input field as button and adjust the Bootstrap progress bars -->
<link rel="stylesheet" href="<?php echo assets_url('/fileupload/css/jquery.fileupload-ui.css'); ?>">
<!-- Shim to make HTML5 elements usable in older Internet Explorer versions -->
<!--[if lt IE 9]><script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->

<!-- The file upload form used as target for the file upload widget -->
<?php echo form_open_multipart(isset($fileupload['url_upload']) ? $fileupload['url_upload'] : NULL , array('id'=>'fileupload')); ?>
	<!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
	<fieldset>
		<legend>Carregar arquivos</legend>
		<br />
		<div class="row-fluid fileupload-buttonbar">
			<div class="span7">
				<!-- The fileinput-button span is used to style the file input field as button -->
				<span class="btn btn-success fileinput-button">
					<i class="icon-plus icon-white"></i>
					<span>Adicionar</span>
					<input type="file" name="userfile" multiple>
				</span>
				<button type="submit" class="btn btn-primary start">
					<i class="icon-upload icon-white"></i>
					<span>Enviar</span>
				</button>
		<!--			<button type="reset" class="btn btn-warning cancel">
					<i class="icon-ban-circle icon-white"></i>
					<span>Cancelar</span>
				</button>
				<button type="button" class="btn btn-danger delete">
					<i class="icon-trash icon-white"></i>
					<span>Excluir</span>
				</button>
				<input type="checkbox" class="toggle">-->
			</div>
			<div class="span5">
				<!-- The global progress bar -->
				<div class="progress progress-success progress-striped active fade">
				    <div class="bar" style="width:0%;"></div>
				</div>
			</div>
		</div>
		<!-- The loading indicator is shown during image processing -->
		<div class="fileupload-loading"></div>
		<br>
		<!-- The table listing the files available for upload/download -->
		<table class="table table-striped "><tbody class="files" data-toggle="modal-gallery" data-target="#modal-gallery"></tbody></table>
	</fieldset>
<?php echo form_close(); ?>
<!-- modal-gallery is the modal dialog used for the image gallery -->
<div id="modal-gallery" class="modal modal-gallery hide fade">
	<div class="modal-header">
		<a class="close" data-dismiss="modal">&times;</a>
		<h3 class="modal-title"></h3>
	</div>
	<div class="modal-body"><div class="modal-image span4 thumbnail"></div></div>
	<div class="modal-footer">
		<a class="btn btn-primary modal-next">
			<span>Próximo</span>
			<i class="icon-arrow-right icon-white"></i>
		</a>
		<a class="btn btn-info modal-prev">
			<i class="icon-arrow-left icon-white"></i>
			<span>Anterior</span>
		</a>
		<a class="btn btn-success modal-play modal-slideshow" data-slideshow="5000">
			<i class="icon-play icon-white"></i>
			<span>Slideshow</span>
		</a>
		<a class="btn modal-download" target="_blank">
			<i class="icon-download"></i>
			<span>Download</span>
		</a>
	</div>
</div>
<!-- The template to display files available for upload -->
<script id="template-upload" type="text/x-tmpl">
{% for (var i=0, file; file=o.files[i]; i++) { %}
	<tr class="template-upload fade">
		<td class="preview"><span class="fade"></span></td>
		<td class="name">
			<span><form action="javascript: void();" data-url="<?php echo isset($fileupload['url_descricao']) ? base_url($fileupload['url_descricao']) : '' ; ?>/{%=file.id%}" class="altera_descricao">
				<input type="text" value="{%=file.name%}" placeholder="Título da imagem" />
			</form></span>
		</td>
		<td>{% if (file.destaque == 1) { %}<a class="btn btn-success active" title="Imagem em destaque"><span class="icon-check icon-white"></span></a>{% } else { %}<a href="javascript: void();" title="Colocar imagem em destaque" class="btn set_destaque" data-url="<?php echo isset($fileupload['url_destaque']) ? base_url($fileupload['url_destaque']) : '' ; ?>" data-id="{%=file.id%}"><span class="icon-check"></span></a>{% } %}</td>
		<td class="size"><span>{%=o.formatFileSize(file.size)%}</span></td>
		{% if (file.error) { %}
			<td class="error" colspan="2"><span class="label label-important">{%=locale.fileupload.error%}</span> {%=locale.fileupload.errors[file.error] || file.error%}</td>
		{% } else if (o.files.valid && !i) { %}
			<td>
				<div class="progress progress-success progress-striped active"><div class="bar" style="width:0%;"></div></div>
			</td>
			<td class="start">{% if (!o.options.autoUpload) { %}
				<button class="btn btn-primary">
					<i class="icon-upload icon-white"></i>
					<span>{%=locale.fileupload.start%}</span>
				</button>
			{% } %}</td>
		{% } else { %}
			<td colspan="2"></td>
		{% } %}
		<td class="cancel">{% if (!i) { %}
			<button class="btn btn-warning">
			<i class="icon-ban-circle icon-white"></i>
			<span>{%=locale.fileupload.cancel%}</span>
			</button>
		{% } %}</td>
	</tr>
{% } %}
</script>
<!-- The template to display files available for download -->
<script id="template-download" type="text/x-tmpl">
{% for (var i=0, file; file=o.files[i]; i++) { %}
	<tr class="template-download fade">
		{% if (file.error) { %}
			<td></td>
			<td class="name"><span><input type="text" value="{%=file.name%}" /></span></td>
			<td class="size"><span>{%=o.formatFileSize(file.size)%}</span></td>
			<td class="error" colspan="2"><span class="label label-important">{%=locale.fileupload.error%}</span> {%=locale.fileupload.errors[file.error] || file.error%}</td>
		{% } else { %}
			<td class="preview">{% if (file.thumbnail_url) { %}
				<a href="{%=file.url%}" title="{%=file.name%}" rel="gallery" download="{%=file.name%}"><img src="{%=file.thumbnail_url%}"></a>
		{% } %}</td>
			<td class="name">
				<form action="javascript: void();" data-url="<?php echo isset($fileupload['url_descricao']) ? base_url($fileupload['url_descricao']) : '' ; ?>/{%=file.id%}" class="altera_descricao">
				<input type="text" value="{%=file.name%}" name="descricao" placeholder="Título da imagem" />
				</form>
			</td>
			<td>{% if (file.destaque == 1) { %}<a class="btn btn-success active" title="Imagem destaque"><i class="icon-check icon-white"></i></a>{% } else { %}<a href="javascript: void();" title="Colocar imagem em destaque" class="btn set_destaque" data-url="<?php echo isset($fileupload['url_destaque']) ? base_url($fileupload['url_destaque']) : '' ; ?>" data-id="{%=file.id%}"><i class="icon-check"></i></a>{% } %}</td>
			<td class="size"><span>{%=o.formatFileSize(file.size)%}</span></td>
			<td colspan="2"></td>
		{% } %}
		<td class="delete">
			<button class="btn btn-danger" data-type="{%=file.delete_type%}" data-url="{%=file.delete_url%}">
			<i class="icon-trash icon-white"></i>
			<span>Excluir</span>
			</button>
			<!-- <input type="checkbox" name="delete" value="1"> -->
		</td>
	</tr>
{% } %}
</script>

<!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
<script src="<?php echo assets_url(); ?>/fileupload/js/vendor/jquery.ui.widget.js"></script>
<!-- The Templates plugin is included to render the upload/download listings -->
<script src="http://blueimp.github.com/JavaScript-Templates/tmpl.min.js"></script>
<!-- The Load Image plugin is included for the preview images and image resizing functionality -->
<script src="http://blueimp.github.com/JavaScript-Load-Image/load-image.min.js"></script>
<!-- The Canvas to Blob plugin is included for image resizing functionality -->
<script src="http://blueimp.github.com/JavaScript-Canvas-to-Blob/canvas-to-blob.min.js"></script>
<!-- Bootstrap JS and Bootstrap Image Gallery are not required, but included for the demo -->
<script src="<?php echo assets_url(); ?>/fileupload/js/bootstrap-image-gallery.min.js"></script>
<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
<script src="<?php echo assets_url(); ?>/fileupload/js/jquery.iframe-transport.js"></script>
<!-- The basic File Upload plugin -->
<script src="<?php echo assets_url(); ?>/fileupload/js/jquery.fileupload.js"></script>
<!-- The File Upload image processing plugin -->
<script src="<?php echo assets_url(); ?>/fileupload/js/jquery.fileupload-ip.js"></script>
<!-- The File Upload user interface plugin -->
<script src="<?php echo assets_url(); ?>/fileupload/js/jquery.fileupload-ui.js"></script>
<!-- The localization script -->
<script src="<?php echo assets_url(); ?>/fileupload/js/locale.js"></script>
<!-- The main application script -->
<script src="<?php echo assets_url(); ?>/fileupload/js/main.js"></script>
<!-- The XDomainRequest Transport is included for cross-domain file deletion for IE8+ -->
<!--[if gte IE 8]><script src="<?php echo assets_url(); ?>/fileupload/js/cors/jquery.xdr-transport.js"></script><![endif]-->
